library ieee;
use ieee.std_logic_1164.all;

entity reg_decalage is
  port(
    clk : in std_logic;
    btnU : in std_logic; 
    btnC : in std_logic;
    btnD : in std_logic;
    led : out std_logic_vector(7 downto 0)
    );
end reg_decalage;

architecture struct_behav of reg_decalage is

  component reg is
    generic(size: integer :=8);
    port(
      clk : in std_logic;
      D : in std_logic_vector(size-1 downto 0);
      Q : out std_logic_vector(size-1 downto 0)
      );
  end component;

  signal REG_IN: std_logic_vector(7 downto 0);
  signal REG_OUT: std_logic_vector(7 downto 0);
  signal btnC_r: std_logic;
  signal btnU_r: std_logic;
  signal btnD_r: std_logic;
  
begin
  
  exemple_1:reg
    generic map(8)
    port map(
      clk => clk,
      D => REG_IN,
      Q => REG_OUT
    );
  process(clk)
  begin
    if rising_edge(clk) then
      btnC_r <= btnC;
      btnU_r <= btnU;
      btnD_r <= btnD;
    end if;
  end process;
  
  REG_IN <= (0 => '1', others => '0') when btnC_r = '1' else
            REG_OUT when btnD_r = '1' else
            REG_OUT(6 downto 0) & REG_OUT(7) when btnU_r = '1' else
            REG_OUT(0) & REG_OUT(7 downto 1);
  led <= REG_OUT;

end struct_behav;
